#! /bin/sh

# Script Bash 4, nécessite de posséder les logiciels suivants installés :
# Qt 4, GCC, Subversion

# Prépare une nouvelle version de MythTV pour traduction :
# - Effectue le téléchargement de la version demandée dans orig/
# - Effectue une copie dans trad/
# - compile themestringstool et installe les scripts de traduction

VERSION="$1"
if [ -z "$VERSION" ]
then
    echo "Fournissez un numéro de version SVN de MythTV !"
    exit 1
fi

mkdir -p orig trad
# Récupération de la version demandée
mkdir -p orig/$VERSION
pushd orig/$VERSION >/dev/null
[ -d mythtv ] || svn export -r$1 http://svn.mythtv.org/svn/trunk/mythtv
[ -d mythplugins ] || svn export -r$1 http://svn.mythtv.org/svn/trunk/mythplugins
[ -d myththemes ] || svn export -r$1 http://svn.mythtv.org/svn/trunk/themes myththemes
[ -d themestringstool ] || svn export http://svn.mythtv.org/svn/trunk/themestringstool
popd >/dev/null

# Copie de la version demandée dans trad/
cp -a orig/$VERSION trad/

# Compilation de themestrings
pushd trad/$VERSION/themestringstool >/dev/null
qmake themestrings.pro
make
popd >/dev/null
