#! /bin/sh

# Prépare les fichiers de traduction :
# - Copie les traductions actuelles (.ts) du SVN MythTV-FR sous notre version sous trad/
# - Écrase les fichiers MythTV avec notre traduction et met à jour les fichiers (.ts)
# - Met à jour nos traductions avec les nouveaux fichiers (.ts)

VERSION="$1"
SVN_AUTH=${SVN_AUTH:-"svn://"}
SVN_AUTH="svn+ssh://ookaze@"
if [ -z "$VERSION" ]
then
    echo "Fournissez un numéro de version SVN de MythTV !"
    exit 1
fi

pushd trad/$VERSION >/dev/null || exit 1
svn checkout ${SVN_AUTH}svn.tuxfamily.org/svnroot/mythtvfr/traduction/trunk/fr_FR fr

for archive in mythtv mythplugins myththemes
do
    cp -a fr/$archive .
done

pushd mythtv/i18n >/dev/null
#sh ../../../../scripts/mythtv/i18n/lupdate.sh
sed '/^TRANSLATIONS/d' translate.pro >translate_fr.pro
echo "TRANSLATIONS = mythfrontend_fr.ts" >>translate_fr.pro
lupdate -no-obsolete translate_fr.pro
rm -f translate_fr.pro
popd >/dev/null

pushd mythplugins >/dev/null
#sh ../../../scripts/mythplugins/lupdate.sh
for fr_ts in $(find . -name *_fr.ts)
do
    pushd $(dirname $fr_ts) >/dev/null
    sed '/^TRANSLATIONS/d' translate.pro >translate_fr.pro
    echo "TRANSLATIONS = $(sed 's@.*/\(myth[^/]*_fr.ts\)@\1@' <<<$fr_ts)" >>translate_fr.pro
    lupdate -no-obsolete translate_fr.pro
    rm -f translate_fr.pro
    popd >/dev/null
done
popd >/dev/null

for archive in mythtv mythplugins myththemes
do
    find fr/$archive -type f | while read fichier
    do
        [ $(basename $fichier _fr.ts) != $(basename $fichier) ] && cp ${fichier#fr/} $(dirname $fichier)
    done
done

popd >/dev/null
