#! /bin/sh

# Prépare un diff à fournir à l'équipe de développement MythTV, placé sous diff/

VERSION="$1"
SVN_AUTH=${SVN_AUTH:-"svn://"}
if [ -z "$VERSION" ]
then
    echo "Fournissez un numéro de version !"
    exit 1
fi

mkdir -p diff
pushd diff >/dev/null || exit 1
svn checkout -r$VERSION http://svn.mythtv.org/svn/trunk/mythtv
svn checkout -r$VERSION http://svn.mythtv.org/svn/trunk/mythplugins
pushd mythtv >/dev/null
svn up
popd >/dev/null
pushd mythplugins >/dev/null
svn up
popd >/dev/null
popd >/dev/null
svn --force export ${SVN_AUTH}svn.tuxfamily.org/svnroot/mythtvfr/traduction/trunk/fr_FR diff

find diff -name *.xml -exec sed -i '/lang="FR"/d' {} \;

pushd diff/mythtv/i18n >/dev/null
#perl ../../../scripts/mythtv/i18n/lrelease.pl fr
sed '/^TRANSLATIONS/d' translate.pro >translate_fr.pro
echo "TRANSLATIONS = mythfrontend_fr.ts" >>translate_fr.pro
lupdate -no-obsolete translate_fr.pro
rm -f translate_fr.pro
popd >/dev/null

pushd diff/mythplugins >/dev/null
#perl ../../scripts/mythplugins/lrelease.pl fr
for fr_ts in $(find . -name *_fr.ts)
do
    pushd $(dirname $fr_ts) >/dev/null
    sed '/^TRANSLATIONS/d' translate.pro >translate_fr.pro
    echo "TRANSLATIONS = $(sed 's@.*/\(myth[^/]*_fr.ts\)@\1@' <<<$fr_ts)" >>translate_fr.pro
    lupdate -no-obsolete translate_fr.pro
    rm -f translate_fr.pro
    popd >/dev/null
done
popd >/dev/null

#find . -name *.qm -exec rm {} \;
#svn checkout -r$1 http://svn.mythtv.org/svn/trunk/mythtv
#svn checkout -r$1 http://svn.mythtv.org/svn/trunk/mythplugins

for archive in mythtv mythplugins # myththemes
do
    svn diff diff/$archive >diff/${archive}_translation_fr-$VERSION.diff
done

# Transfert dans le SVN MythTV-fr
# pushd fr_mythtv-fr/traduction >/dev/null
# svn ci . svn+ssh://ookaze@svn.tuxfamily.org/svnroot/mythtvfr/traduction
# popd >/dev/null
